[youtubei.js](../../../../README.md) / [BinarySerializer](../README.md) / deserialize

# Function: deserialize()

> **deserialize**\<`T`\>(`buffer`): `T`

Defined in: [src/utils/BinarySerializer.ts:23](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/BinarySerializer.ts#L23)

## Type Parameters

### T

`T`

## Parameters

### buffer

`Uint8Array`

## Returns

`T`
